- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/replaceDeployment#try-it)

Creates or replaces a deployment with the specified name.

### HTTP request

`PUT https://gsuiteaddons.googleapis.com/v1/{deployment.name=projects/*/deployments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deployment.name` | `string` The deployment resource name. Example: `projects/123/deployments/my_deployment`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).